Skip to main content
POST
/
v1
/
flow
/
tools
/
{tool_id}
/
duplicate
Clone tool
curl --request POST \
  --url https://flow.seekr.com/v1/flow/tools/{tool_id}/duplicate \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
import requests

url = "https://flow.seekr.com/v1/flow/tools/{tool_id}/duplicate"

payload = { "name": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};

fetch('https://flow.seekr.com/v1/flow/tools/{tool_id}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "config": {
    "FILE_SEARCH_INDEX": "<string>",
    "EMBEDDING_MODEL": "<string>",
    "TOP_K": 10,
    "SCORE_THRESHOLD": 0
  },
  "user_id": "<string>",
  "team_id": "<string>",
  "version": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "type": "file_search"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}
Create a copy of an existing tool. The duplicated tool gets a new ID and can optionally be given a new name.
Agent-as-tool type tools cannot be duplicated. Attempting to duplicate an agent-as-tool returns an error.

Authorizations

Authorization
string
header
required

Your Seekr API key, sent in the Authorization header with no 'Bearer' prefix.

Path Parameters

tool_id
string
required

Body

application/json

Request schema for duplicating a tool.

name
string | null

Response

Successful Response

id
string
required
name
string
required
config
FileSearchConfig · object
required
user_id
string
required
team_id
string | null
required
status
enum<string>
required
Available options:
Active,
Inactive,
Deprecated,
Pending_authorization,
Failed
version
integer
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string | null
type
string
default:file_search
Allowed value: "file_search"
Last modified on June 30, 2026